Documentation Index
Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
Use this file to discover all available pages before exploring further.
Purpose
The API enables users to get bank information from our internal Global Bank Directory on the basis of local codes, swift codes and bank name.
API Signature
Endpoint
/v3/payout/bank
Query Paramaters
country: valid country code
code_type: the code on the basis of which user would like to search. It must be one of the following:
- swift_code
- sort_code
- aba_code
- bsb_code
- ifsc_code
- iban
- bank_name
search_text: code value or name of the bank
Examples
curl --location --get 'https://api-sandbox.tazapay.com/v3/payout/bank' \
--data-urlencode 'country=AU' \
--data-urlencode 'code_type=swift_code' \
--data-urlencode 'search_text=BKCHAU2AP'
{
"status": "success",
"message": "",
"data": {
"has_more": false,
"object": "list",
"results": [
{
"address": {
"city": "SYDNEY",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "2000",
"state": "NSW"
},
"bank_codes": {
"bsb_code": "980202",
"swift_code": "BKCHAU2APAR"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8hfhambilrokaoog",
"matched_on": {
"swift_code": "BKCHAU2APAR"
},
"object": "bank"
},
{
"address": {
"city": "PERTH",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "6000",
"state": "WA"
},
"bank_codes": {
"bsb_code": "980600",
"swift_code": "BKCHAU2APTH"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8h7hambilrok50bg",
"matched_on": {
"swift_code": "BKCHAU2APTH"
},
"object": "bank"
}
]
}
}